MSGCAT(1)

NUME
msgcat - combină mai multe cataloage de mesaje

REZUMAT
msgcat [OPȚIUNE] [FIȘIER_INTRARE]...

DESCRIERE

Concatenează și fuzionează fișierele PO specificate. Găsește mesajele care sunt comune la două sau mai multe dintre fișierele PO specificate. Prin utilizarea opțiunii --more-than, se poate solicita o mai mare similitudine înainte ca mesajele să fie tipărite. În schimb, opțiunea --less-than poate fi utilizată pentru a specifica o mai mică comunitate înainte de imprimarea mesajelor (de exemplu, --less-than=2 va imprima numai mesajele unice). Traducerile, comentariile, comentariile extrase și pozițiile fișierelor vor fi cumulate, cu excepția faptului că, dacă se specifică --use-first, acestea vor fi preluate din primul fișier PO care le definește.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

FIȘIER_INTRARE ...
    fișiere de intrare

-f, --files-from=FIȘIER
    obține lista de fișiere de intrare din FIȘIER

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă fișierul de intrare este „-”, se va citi intrarea standard.

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

Rezultatele sunt scrise la ieșirea standard dacă nu este specificat niciun fișier de ieșire sau dacă acesta este „-”.

  Selecție mesaje:

-<, --less-than=NUMĂR
    imprimă mesajele cu mai puțin de atâtea definiții, dacă nu este specificat niciun NUMĂR, implicit este infinit

->, --more-than=NUMĂR
    imprimă mesajele cu mai mult de atâtea definiții, dacă nu este specificat niciun NUMĂR, implicit este 0

-u, --unique
    scurtătură pentru --less-than=2, solicită ca doar mesajele unice să fie imprimate

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierele de intrare sunt în sintaxă .properties Java

--stringtable-input
    fișierele de intrare sunt în sintaxă .strings NeXTstep/GNUstep

  Detalii ieșire:

-t, --to-code=NUME
    codificarea pentru ieșire

--use-first
    folosește prima traducere disponibilă pentru fiecare mesaj, nu îmbină mai multe traduceri

--lang=NUME_CATALOG
    definește câmpul „Language” în intrarea din antet

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

-e, --no-escape
    nu utilizează eludări C în ieșire (implicit)

-E, --escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

-i, --indent
    scrie fișierul .po folosind stil indentat

--no-location
    nu scrie liniile „#: nume_fișier:linie”

-n, --add-location
    generează liniile „#: nume_fișier:linie” (implicit)

--strict
    scrie fișiere .po, strict conform Uniforum

-p, --properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

-s, --sort-output
    generează ieșire ordonată alfanumeric

-F, --sort-by-file
    ordonează ieșirea după locația fișierului

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Bruno Haible.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2001-2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgcat este menținută ca un manual Texinfo. Dacă programele info și msgcat sunt instalate corect în sistemul dvs., comanda

    info msgcat

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.